bi-upload
Import a Google Drive file for BI analysis
POST
/
api
/
v1
/
bi
/
import
/
google-drive
Import a Google Drive file for BI analysis
curl --request POST \
--url https://api.example.com/api/v1/bi/import/google-drive \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organization_id": "<string>",
"file_id": "<string>",
"file_name": "<string>",
"tool_config_id": "<string>",
"project_id": "thaink2"
}
'import requests
url = "https://api.example.com/api/v1/bi/import/google-drive"
payload = {
"organization_id": "<string>",
"file_id": "<string>",
"file_name": "<string>",
"tool_config_id": "<string>",
"project_id": "thaink2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
organization_id: '<string>',
file_id: '<string>',
file_name: '<string>',
tool_config_id: '<string>',
project_id: 'thaink2'
})
};
fetch('https://api.example.com/api/v1/bi/import/google-drive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
The response is of type Response Import Google Drive Api V1 Bi Import Google Drive Post · object.
Related topics
Upload a CSV file for BI analysisList user's connected Google Drive tool configurationsImport SkillSearch FilesList Files⌘I
Import a Google Drive file for BI analysis
